<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <meta charset="utf-8">

    <title>
        GoTo Achievement
    </title>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
    {% if is_admin %}
    <a class="navbar-brand" href="/index_admin">GoTo Achievement</a>
    {% endif %}
    {% if not is_admin %}
    <a class="navbar-brand" href="/index">GoTo Achievement</a>
    {% endif %}
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="/users_list">Участники<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="/achvs_list">Ачивки</a>
            </li>
            {% if is_admin %}
            <li class="nav-item">
                <a class="nav-link" href="/logout_page">Выход</a>
            </li>
            {% endif %}
            {% if not is_admin %}
            <li class="nav-item">
                <a class="nav-link" href="/login_page">Войти как администратор</a>
            </li>
            {% endif %}
        </ul>
    </div>
</nav>

<div class="container" style="margin-top: 15px;">
    <div class="row">
        <div class="col-10">
            <div class="page-header">
                <h1>Все пользователи</h1>
            </div>
            <p></p>
            {% for user in users %}
            <div class="d-flex bd-highlight">
                <div class="p-2 w-25 bd-highlight">
                    <div class="card" style="max-width: 200px; min-width: 200px; min-height: 175px; max-height:175px">
                        <div class="card-body">
                            <a href="/user_page/{{user.core_id}}">
                                <h5>{{user.first_name}} {{user.last_name}}</h5>
                                <img src="{{user.avatar}}" class="rounded-circle" alt="Cinque Terre" height="75">
                            </a>
                        </div>
                    </div>
                </div>
                <div class="p-2 w-75 bd-highlight">
                    <div class="card" style="min-height: 175px; max-height:175px">
                        <div class="d-flex flex-row bd-highlight mb-3">
                            {% for achv in users_achvs|lookup:user %}
                            <div class="p-2 bd-highlight">
                                <div class="card-body">
                                    <a href="/achv_page/{{achv.id}}">
                                        <h5>{{achv.title}}</h5>
                                        <img src="{{achv.icon}}" class="rounded-circle" width="100">
                                    </a>
                                </div>
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </div>
            <p></p>
            {% endfor %}
        </div>
        <div class="col-2">
            <form method="POST">
                {% csrf_token %}
                <center><h5>Найдите участника</h5></center>
                <input type="text" name="user" id="user" list="users">
                <datalist id="users">
                    {% for user in users %}
                    <option value="{{user.core_id}}">
                        {{ user.first_name }} {{ user.last_name }}
                    </option>
                    {% endfor %}
                </datalist>
                <p></p>
                <button type="submit" class="btn btn-success btn-lg" name="button">Поиск</button>
            </form>
        </div>
    </div>
</div>
</body>
</html>